Parameters

Taffrail's API methods accept additional information in request parameters. Parameters can be sent as query parameters (with GET) or body parameters (with POST).

Query Parameters

When using the HTTP GET method, query parameters specify what data is returned in a request. These parameters are almost always optional.

Body Parameters

Taffrail's API treats body parameters the same as query parameters. The only difference is how the data is sent—GET with query strings or POST with a JSON body. See HTTP Method.

User Inputs and Variables

A Variable is a named parameter that makes Advice possible. Variables can be used for input and are returned by the Rules Engine as a result of formulas, rules, and calculations.

Any data sent in the request parameters (either query or body) can include Variables. For example:

/api/advice/{adviceSetId}?Tax_Year=2026

Go deeper with Variables.

Variable Dictionary

The Variable Dictionary endpoint (GET /api/dictionary) returns all Variables available to your account. Each variable includes its reservedName, dataType, validOptions, isClosedSet, and displayFormat.

Use this endpoint to discover the accepted input parameters for your integration. Input parameters are not arbitrary — they correspond to defined Variables in your account. Optionally, pass a ruleSetId query parameter to filter Variables by a specific rule.

See the Variable Dictionary API Reference for details.

Parameter Reference

ParameterTypeRequiredDescription
adviceSetIdStringYesThe Advice Set identifier. Passed as a path parameter.
filterStringNoFilter the Variables returned. See Variables: Limiting Variables.
fields[TYPE]StringNoLimit response fields per type. See Sparse Fieldsets.
{VariableName}VariesNoAny valid Variable name/value pair. Discover available Variables via the Variable Dictionary endpoint.

Sparse Fieldsets

Taffrail's API supports Sparse Fieldsets to limit the response data.